/**
 * searches for & returns the processes for hdb core
 * @returns {Promise<{core: []}>}
 */
export function getHDBProcessInfo(): Promise<{
    core: [];
}>;
/**
 * gets networking & connection information & stats
 * @returns {Promise<{interfaces: [], default_interface: null, stats: [], latency: {}, connections: []}>}
 */
export function getNetworkInfo(): Promise<{
    interfaces: [];
    default_interface: null;
    stats: [];
    latency: {};
    connections: [];
}>;
/**
 * gets disk related info & stats
 * @returns {Promise<{}>}
 */
export function getDiskInfo(): Promise<{}>;
/**
 * fetches information related memory
 * @returns {Promise<{}|Pick<si.Systeminformation.MemData, "total" | "free" | "used" | "active" | "available" | "swaptotal" | "swapused" | "swapfree">>}
 */
export function getMemoryInfo(): Promise<{} | Pick<si.Systeminformation.MemData, "total" | "free" | "used" | "active" | "available" | "swaptotal" | "swapused" | "swapfree">>;
/**
 * executes cpu related functions
 * @returns {Promise<{}|Pick<si.Systeminformation.CpuData, "manufacturer" | "brand" | "vendor" | "speed" | "cores" | "physicalCores" | "processors">>}
 */
export function getCPUInfo(): Promise<{} | Pick<si.Systeminformation.CpuData, "manufacturer" | "brand" | "vendor" | "speed" | "cores" | "physicalCores" | "processors">>;
/**
 * executes the time function to return the time info for the system
 * @returns {si.Systeminformation.TimeData}
 */
export function getTimeInfo(): si.Systeminformation.TimeData;
/**
 * gets system information
 * @returns {Promise<Pick<si.Systeminformation.OsData, "platform" | "distro" | "release" | "codename" | "kernel" | "arch" | "hostname">|{}>}
 */
export function getSystemInformation(): Promise<Pick<si.Systeminformation.OsData, "platform" | "distro" | "release" | "codename" | "kernel" | "arch" | "hostname"> | {}>;
/**
 *
 * @param {SystemInformationRequest} systemInfoReq
 * @returns {Promise<SystemInformationResponse>}
 */
export function systemInformation(systemInfoReq: SystemInformationRequest): Promise<SystemInformationResponse>;
export function getTableSize(): Promise<import("../../dataLayer/harperBridge/lmdbBridge/lmdbUtility/TableSizeObject.js")[]>;
export function getMetrics(): Promise<{}>;
export class SystemInformationRequest {
    constructor(attributes: any);
    operator: "system_information";
    attributes: any;
}
import si = require("systeminformation");
declare class SystemInformationResponse {
    constructor(system: any, time: any, cpu: any, memory: any, disk: any, network: any, harperdbProcesses: any);
    system: any;
    time: any;
    cpu: any;
    memory: any;
    disk: any;
    network: any;
    harperdb_processes: any;
}
export {};
